
// // Custom Theming for Angular Material
// // For more information: https://material.angular.io/guide/theming
// @use '~@angular/material' as mat;
// // Plus imports for other components in your app.

// // Include the common styles for Angular Material. We include this here so that you only
// // have to load a single css file for Angular Material in your app.
// // Be sure that you only ever include this mixin once!
// @include mat.core();

// // Define the palettes for your theme using the Material Design palettes available in palette.scss
// // (imported above). For each palette, you can optionally specify a default, lighter, and darker
// // hue. Available color palettes: https://material.io/design/color/
// $P2PSubsystemWeb-primary: mat.define-palette(mat.$indigo-palette);
// $P2PSubsystemWeb-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// // The warn palette is optional (defaults to red).
// $P2PSubsystemWeb-warn: mat.define-palette(mat.$red-palette);

// // Create the theme object. A theme consists of configurations for individual
// // theming systems such as "color" or "typography".
// $P2PSubsystemWeb-theme: mat.define-light-theme((
//   color: (
//     primary: $P2PSubsystemWeb-primary,
//     accent: $P2PSubsystemWeb-accent,
//     warn: $P2PSubsystemWeb-warn,
//   )
// ));

// // Include theme styles for core and each component used in your app.
// // Alternatively, you can import and @include the theme mixins for each component
// // that you are using.
// @include mat.all-component-themes($P2PSubsystemWeb-theme);


// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
//@use '~@angular/material' as mat;
@import '~@angular/material/theming';
// Plus imports for other components in your app.

$custom-typography: mat-typography-config(
  $font-family: 'KrungthaiFast'
);

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core($custom-typography);

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$P2PSubsystemWeb-primary: mat-palette($mat-light-blue);
$P2PSubsystemWeb-accent:  mat-palette($mat-blue, A200, A100, A400);

// The warn palette is optional (defaults to red).
$P2PSubsystemWeb-warn: mat-palette($mat-red);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$P2PSubsystemWeb-theme: mat-light-theme((
  color: (
    primary: $P2PSubsystemWeb-primary,
    accent: $P2PSubsystemWeb-accent,
    warn: $P2PSubsystemWeb-warn,
  )
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($P2PSubsystemWeb-theme);

